Bug 705023

Summary: network device not automatically activated
Product: [Fedora] Fedora Reporter: Alexander Hass <alexander.hass>
Component: anacondaAssignee: Radek Vykydal <rvykydal>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 15CC: anaconda-maint-list, ckpinguin, fdanapfe, jonathan, Muj8, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=766899
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 766899 (view as bug list) Environment:
Last Closed: 2012-08-07 16:04:25 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Alexander Hass 2011-05-16 08:49:46 EDT
When setting up the network during initial system installation, the check box "Connect automatically" is not automatically pre-selected, although a physical network card has been detected.
When overlooking this most probably unexpected feature, the network is not set up correctly after the initial reboot.

Configure Network -> Wired (name: System pci3p1, last used: never) -> Edit -> IPv4 Settings

"Connect automatically" is not selected.
Comment 1 jm 2011-05-26 04:34:12 EDT
verified...
Comment 2 Christof Kaelin 2011-05-26 04:49:56 EDT
acked on several installs, how could this one get through beta (sorry for the flame)?
Comment 3 Radek Vykydal 2011-10-13 08:05:31 EDT
This is the case of configuring network in installer that is (using Configure Network button) as opposed to network enablement in installer (happens when network is actually needed, using NetworkManager Connection Editor (nm-c-e) as well) where the device is also activated, and "Connect Automatically" which corresponds to ifcfg ONBOOT value is set to "yes" by anaconda (after nm-c-e is closed).

Anaconda is limited by using nm-c-e here. The latter sets the value of "Connect Automatically" based on ONBOOT value in respective ifcfg file. The problem is that if we wanted to set default to yes here - by setting value of ONBOOT to "yes" before nm-c-e is run, it would trigger activation of the device immediately (before nm-c-e is run and configuration set). So we can't preset the value of "Connect Automatically".

Nevertheless, some improvements of your issue have been done in scope of bug #498207, i.e. if the link is detected on the device, it will be activated automatically after reboot by default.
Comment 4 Fedora End Of Life 2012-08-07 16:04:27 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping